/*
 * Sixth 3D engine. Copyright ©2012-2019, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 *
 */

package eu.svjatoslav.sixth.e3d.gui.humaninput;

import eu.svjatoslav.sixth.e3d.geometry.Point2D;

public class MouseEvent {

    public Point2D coordinate;

    /**
     * Indicates pressed mouse button. Except 0 that simply means mouse over
     * given region.
     */
    public int button;

    MouseEvent(final int x, final int y, final int button) {
        this(new Point2D(x, y), button);
    }

    MouseEvent(final Point2D coordinate, final int button) {
        this.coordinate = coordinate;
        this.button = button;
    }

    @Override
    public String toString() {
        return "MouseEvent{" +
                "coordinate=" + coordinate +
                ", button=" + button +
                '}';
    }
}
