/*
 * Sixth 3D engine. Copyright ©2012-2019, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 *
 */

package eu.svjatoslav.sixth.e3d.gui.humaninput;

import eu.svjatoslav.sixth.e3d.gui.ViewPanel;
import eu.svjatoslav.sixth.e3d.gui.ViewRenderListener;

import java.awt.event.KeyEvent;

public interface UserInputHandler extends ViewRenderListener {

    /**
     * @return <code>true</code> if view update is needed.
     */
    boolean focusLost(ViewPanel viewPanel);

    /**
     * @return <code>true</code> if view update is needed.
     */
    boolean focusReceived(ViewPanel viewPanel);

    /**
     * @return <code>true</code> if view update is needed.
     */
    boolean keyPressed(KeyEvent event, ViewPanel viewPanel);

    /**
     * @return <code>true</code> if view update is needed.
     */
    boolean keyReleased(KeyEvent event, ViewPanel viewPanel);

}
